Page MenuHomePhabricator

cxserver alerting for "Suggest source sections to translate" since 2020-03-25 18:40:17
Closed, ResolvedPublic

Description

Since 2020-03-25 18:40:17, cxserver is alerting in icinga for

/v2/suggest/sections/{title}/{from}/{to} (Suggest source sections to translate) is CRITICAL: Test Suggest source sections to translate returned the unexpected status 404 (expecting: 200)

Looking at the spec this seems to be https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/services/cxserver/+/refs/heads/master/spec.yaml#441 but it's unclear to me why this fails

Details

Related Gerrit Patches:
operations/deployment-charts : masterUpdate cxserver to 2020-03-30-145349-production
mediawiki/services/cxserver : mastersection suggestions: Fix the broken page metadata api

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptThu, Mar 26, 12:28 PM
akosiaris triaged this task as High priority.Thu, Mar 26, 12:28 PM

Change 584554 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] section suggestions: Fix the broken page metadata api

https://gerrit.wikimedia.org/r/584554

santhosh claimed this task.Mon, Mar 30, 9:30 AM

Change 584554 merged by jenkins-bot:
[mediawiki/services/cxserver@master] section suggestions: Fix the broken page metadata api

https://gerrit.wikimedia.org/r/584554

Change 584618 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2020-03-30-145349-production

https://gerrit.wikimedia.org/r/584618

Change 584618 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2020-03-30-145349-production

https://gerrit.wikimedia.org/r/584618

Mentioned in SAL (#wikimedia-operations) [2020-03-31T05:55:42Z] <kart_> Updated cxserver to 2020-03-30-145349-production (T248578)

I checked Icinga too and the alert is gone. Just wondering, should we get alerts delivered directly to us rather than waiting from someone to file tasks about them?

akosiaris lowered the priority of this task from High to Low.Wed, Apr 1, 9:10 AM

@santhosh, @kartik Thanks for handling this.

I checked Icinga too and the alert is gone. Just wondering, should we get alerts delivered directly to us rather than waiting from someone to file tasks about them?

YES! We have a couple of options, namely IRC channel, team inbox email, personal emails and we might soon be able to have mobile notifications as well. Other teams already receive alerts for their services in one of those ways, so we can definitely set that up. Let me know what you prefer and I 'll get it working.

I checked Icinga too and the alert is gone. Just wondering, should we get alerts delivered directly to us rather than waiting from someone to file tasks about them?

YES! We have a couple of options, namely IRC channel, team inbox email, personal emails and we might soon be able to have mobile notifications as well. Other teams already receive alerts for their services in one of those ways, so we can definitely set that up. Let me know what you prefer and I 'll get it working.

You can add my email to start with :)

Pginer-WMF closed this task as Resolved.Thu, Apr 2, 1:06 PM